Page MenuHomePhabricator

Pre-commit test for D131863
ClosedPublic

Authored by piggynl on Aug 14 2022, 10:10 AM.

Details

Summary

Depends on D130560. This test triggers assert(false) before D130560 is committed.

Diff Detail

Event Timeline

piggynl created this revision.Aug 14 2022, 10:10 AM
piggynl requested review of this revision.Aug 14 2022, 10:10 AM
piggynl retitled this revision from Pre-commit test to Pre-commit test for D131863.
piggynl added reviewers: arsenm, hliao, craig.topper.
piggynl updated this revision to Diff 456349.Aug 29 2022, 8:20 AM
  • Rebase
  • Update the test with update_llc_test_checks.py

and ping for review :)

arsenm accepted this revision.Sep 29 2022, 1:59 PM

LGTM but I know nothing about riscv

llvm/test/CodeGen/RISCV/branch-relaxation.ll
3206

Pretty sure we don't try to parse this out for padding directives

This revision is now accepted and ready to land.Sep 29 2022, 1:59 PM
This revision was automatically updated to reflect the committed changes.